Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developer.kiotapay.co/llms.txt

Use this file to discover all available pages before exploring further.

Get API Token

This API endpoint allows users to obtain an access token by passing their API key and API secret in a POST request. The returned token should be used to authenticate subsequent API requests by including it in the Authorization header.

Endpoint

POST /api/v1/get-token

Base URL

https://api.kiotapay.co

Request Headers

KeyValueRequiredDescription
Content-Typeapplication/jsonSpecifies that the request body is in JSON format.

Request Body

{
    "apiKey": "apikey",
    "apiSecret": "apisecret"
}

Response

{
    "status": "200 OK",
    "data": {
        "access_token": "eyJhbGciOiJSUzI1NiIsInR5cCIgOiAiSldUIiwia2lkIiA6ICJMY3BXbEt5QmMwRn...",
        "refresh_token": "eyJhbGciOiJIUzI1NiIsInR5cCIgOiAiSldUIiwia2lkIiA6ICIxMzU5NjllZS1hYWM...",
        "expires_in": 300,
        "refresh_expires_in": 1800
    }
}